Re-add BlockAndNuke to translatewiki
Closed, ResolvedPublic

Description

On 6fbe5f1bbb4a @Raymond added the extension but commented it out. I suppose it's because it's missing a qqq.json file? If so, I can take care of creating one.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2017, 11:29 AM

Maybe we need to work on T92720: [BlockAndNuke] Migrate creation of block logs to new logging system first if that means we need to add or modify i18n messages.

@MarcoAurelio From twn side adding a complete qqq.json is sufficient to enable the extension on twn. T92720 can be fixed later on.

@Raymond Okay! Thanks for the answer. I'm doing the qqq.json one and when ready I'll submit it for review. At the same time I'll submit a patch to rGTWN to readd rEBAN to translatewiki.net, and will add an alias file as well.

Change 379994 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/BlockAndNuke@master] [WIP] Message documentation for BlockAndNuke

https://gerrit.wikimedia.org/r/379994

MarcoAurelio triaged this task as Lowest priority.Sep 29 2017, 3:10 PM

Change 379994 abandoned by MarcoAurelio:
[WIP] Message documentation for BlockAndNuke

https://gerrit.wikimedia.org/r/379994

Change 385880 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/BlockAndNuke@master] Add missing qqq message documentation

https://gerrit.wikimedia.org/r/385880

Change 389311 had a related patch set uploaded (by Raimond Spekking; owner: Raimond Spekking):
[translatewiki@master] [BlockAndNuke] Register extension

https://gerrit.wikimedia.org/r/389311

Change 389311 merged by Raimond Spekking:
[translatewiki@master] [BlockAndNuke] Register extension

https://gerrit.wikimedia.org/r/389311

Raymond closed this task as Resolved.Nov 5 2017, 10:26 AM
Raymond claimed this task.

Enabled on translatewiki.net now.